Atom 文本编辑器——GitHub 的折扣开源
================================================================================
**GitHub 的新文本编辑器并不完全开源，看起来并没有人在意这一点。**

Samuel Greenwald [认为][1]“任何 IT 领袖如果没有开源观念，那注定会失败。” 然而即使你的开源观念打了折扣、不那么纯粹，其实大众也并不会刁难你。特别是在你祭出古怪反复的许可证花招时，即使是开源界最精明的精英也可能被忽悠住。

例如就拿GitHub来说。GitHub 刚刚发布了[Atom][2]文本编辑器，获得了很多赞赏。虽然[有些人赞美Atom][3]“完全开源”，但其实它并非如此。在我看来，还差得很远。

### 某种打折扣的开源 ###

不管怎样，并不是说 GitHub  把Atom 全部伪装成开源。正如 GitHub 联合创始人Tom Preston-Werner所说，只有“Atom 核心”代码将会是闭源的，而“其余现有的所有Atom 代码将永远遵守 MIT-licensed许可证。”原因纯粹是商业化的，他这么[解释][4]道：

> Atom将不会封闭源代码，但它也不会开源。它将介于两者之间，这样我们更易于对 Atom 进行掌控，同时，人们还可以在许可证的限制下看到它如何运行。关于这一点，我们还没有最终决定究竟如何具体实施。我们将在充分的细节准备后正式启动。

早在开源的初期，我们就有了这个概念。事实上，微软也是这么做的。微软称之为“共享源代码”， [于2002年推出][5]，共享源代码是微软为其社区提供的一种方式，用来监测，但不触及（或重新分配）微软的源代码。SAP 的大数据主管 Vijay Vijayasankar 提醒我们，对微软来说这个方法没有这么好，但对GitHub 可能会做的更好：

> [@dberkholz][6]我记得OSI人士严重批评了微软，说这是微软的一个营销噱头。但这次 GitHub 会做得更好
> — Vijay Vijayasankar (@vijayasankarv) [2014年2月27日][7]

他也许是对的。

### GitHub 时代神圣不可侵犯 ###

毕竟，微软是邪恶帝国，一直将开源抹黑为“毒瘤”之类的东西。而 GitHub，无论在哪儿，都是开源项目的养父母。 [2013年][8] GitHub突破千万代码库，增添300万新用户，每周狂热的活跃量包括：20,000个问题，50,000个评论，250,000个来自世界各地贡献者的提交，保证了代码库进展。

换句话说，GitHub是零起点的开源项目。

也许正因为如此，GitHub 得到了一个免费通行证。在[HackerNews评论][9]上，[少数人似乎过于在意，][10]他们认为 GitHub 没有真正开源 Atom。作为一个社区，开源已经在很大程度上战胜了免费软件：少教条，更实用。我们已经身处这样一个节点，许多所谓的“GitHub一代”[甚至懒得去费心将许可证分配给他们的软件][11]。

这是好事吗？

很难说，甚至很难与 GitHub 的做法争辩，它带给世界一个高品质、低成本的文本编辑器，似乎并没有伤害任何人，潜在里还可能帮助许多人。开源社区是自由意志论者：并不愿意去制定许可证，它更关心的是良好的代码和产品。

这就是为什么 GitHub、Atlassian 和 Amazon 的 Web 服务都依赖于专有软件或服务来赚钱，同时却如此惊人地受到开源开发者的欢迎。

你了解了吗？

--------------------------------------------------------------------------------

via: http://readwrite.com/2014/02/28/github-atom-text-editor#feed=/hack&awesm=~oxpErHVIIaxz3H

译者：[乌龙茶](https://github.com/yechunxiao19) 校对：[Caroline](https://github.com/carolinewuyan)  [Mr小眼儿](http://blog.csdn.net/tinyeyeser)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.cioinsight.com/blogs/open-source-has-changed-everything.html#sthash.ESY4Kc3r.u8rX81Ow.dpuf
[2]:https://github.com/atom
[3]:http://thenextweb.com/apps/2014/02/26/github-releases-text-editor-coders-named-atom/#!xHNqf
[4]:http://discuss.atom.io/t/why-is-atom-closed-source/82/8
[5]:http://www.geek.com/news/microsoft-rep-clarifies-shared-source-initiative-550824/
[6]:https://twitter.com/dberkholz
[7]:https://twitter.com/vijayasankarv/statuses/438882094429642752
[8]:http://octoverse.github.com/
[9]:https://news.ycombinator.com/item?id=7302941
[10]:https://news.ycombinator.com/item?id=7310017
[11]:http://readwrite.com/2013/05/15/open-source-is-old-school-says-the-github-generation#awesm=~ox6tkvcaUwiEF0
