Linux-pdz重又复出，先占一坑哦！
Making Linux Feel at Home
================================================================================
**Hiring Tux is a smart move for both small and large businesses. Linux once was considered a hobbyist's operating system, but it has come a long way and now is considered enterprise class. It is considered very stable and secure. Linux can easily be customized, and there is a huge community eager to help out. Those are just some of the reasons to migrate to the Linux desktop.**

Migrating to a different operating system is never easy. Keeping the Windows opened or not chewing on a MacIntosh can be a frustrating and costly experience. Buying new upgraded hardware to keep up with costly new software releases is often an exercise in futility.

Running a Linux distribution at home or in a small office environment can be a productive endeavor that brings cost savings and increased efficiency. Adopting a Linux server system instead of playing catch-up with a Microsoft infrastructure is often a smart business move for enterprise environments.

However, the process of giving up a comfort zone around a familiar operating system often seems more of a challenge than it actually is. Individual users and SMBs can move into the Linux desktop in stages. The software is free, and users already have suitable hardware that can function with both platforms.

Many larger enterprises already run their own Linux server silos and integrate Linux desktop use where it fits more easily. The growing use of cloud-based software lets office workers use their workstations without realizing any major change occurred.

"Migrating to Linux is based on the use case. If you are home or are a developer, you are going to want to use all the power available in Linux. That is a no-brainer. There is no one easy way to migrate to another operating system. No one use case fits all. It is dependent on the user base," Mike Vitale, chief technology officer for [TalkPoint][1], told LinuxInsider.

Working with enterprise clients in SMB environments, Vitale sees a growing movement of individual users and corporate leaders taking advantage of new technologies that draw them toward Linux.

### Comfort Counts ###

One of those Linux technologies is the Chrome OS and the low-cost laptop computers now powered by the Linux-based Chrome browser OS.

For users already familiar with Google's Chrome browser or the open source Chromium browser project, using a Chromebook or cloud-based delivery system makes migrating to Linux an easy walk in the park.

"One of the issues, regardless of which OS is used, is the browser capabilities. We have found that 85 percent of the time the user is in a browser," Thomas Deng, cofounder and senior vice president of product management for [Splashtop][2], told LinuxInsider.

There's a growing interest in people adapting to newer technologies with quick learning curves, Deng observed. People use a variety of products. So migrating to an OS that resembles what they use on another device makes for a smoother transition.

### hrome Craze Caters ###

Mobile device users both at home and at work are becoming proficient with Linux without knowing it. They move back and forth among several operating systems. With that familiarity comes a comfort zone for open source. Using cross-platform software delivered from a cloud platform is an added migration measure.

"What Google is doing is really interesting with the office suite. Google is opening the door with its Chrome OS now," said Vitale.

A good example of opening doors while shutting Windows is how his company uses Chrome-driven tools in-house. For instance, TalkPoint uses the ChromeBox appliance.

"That is opening the door for multimedia teams and traditional AV users. We are seeing a lot of inroads with that technology," Vitale explained.

### Tablets Tackle Tradition ###

Another instance of Linux devices paving the way for desktop OS migration is the popularity of the Android OS. Add to this the Linux distros retooled for smartphones and tablets.

"As far as migrating people to Linux goes, people are getting more comfortable with the tablet interface, especially with their unhappiness over the Windows 8 interface. Everyone I know is trying to turn it back to Windows 7," said Vitale.

### Cloud Has Linux Clout ###

People expect to use their familiar productivity tools like MS Office for word processing. There is less familiarity with open source products on the Windows platform, so integrating open source before starting a move to fully implementing the Linux desktop helps, noted Deng.

That trend of Windows users not knowing about open source is changing with the popularity of Google Docs and the Google Chrome browser, he pointed out.

"What is also easing the transition to Linux is the shift to using cloud applications," Deng said. "Educating the user is the most effective way to move users into Linux. The Chromebook is becoming very widely adopted. It is an easy migration path into Linux."

### Tux the Mighty ###

Hiring Tux, the Penguin that is the Linux mascot, is a smart move for both small and large businesses. It is a mature, stable and flexible operating system that definitely can do the job, according to Shaun Seller, senior product manager at [Vision Solutions][3].

"For a small business, running Linux is a compelling alternative to other operating systems and may provide advantages, depending on your business needs," Seller told LinuxInsider.

It once was considered a hobbyist's operating system. Linux has come a long way and now is considered enterprise class. It is considered very stable and secure. Linux can easily be customized, and there is a huge community eager to help out, he said. Those are just some of the reasons to migrate to the Linux desktop.

### Good Business Cents ###

Leveraging more of the community support model can create cost savings, Seller said. Linux is available free with community support or through subscriptions that offer full technical support. Some Linux distributions also come with things like hardware and software certifications, which may be important for some work environments.

For example, small businesses and larger enterprises can run a distribution such as CentOS or OpenSuse completely or in combination with a subscription-based version from [Red Hat][4] or Suse. Even with a full subscription model, Linux offers a lower total cost of ownership and better return on investment than Windows or traditional Unix, explained Seller.

"I believe it makes sense for smaller businesses to take a close look at Linux," added Sellers. "Linux has a bright future, as open source software in general is helping drive innovation at a fast pace, with help and collaboration from the community, and companies like IBM and Red Hat."

### Cozy but Cautious ###

Operating systems can produce divided loyalties within families and workplaces. Take the case of Walker White, CTO of [BDNA][5]. He uses Linux as a desktop OS at home, but his family is not so enthusiastic about his computing passion.

"My family members use Mac gear. They blindly follow the marketing ploys and the feature hype without any consideration of performance and such. I am on a personal holy war at home to try slipping more allegiance towards Linux," White told LinuxInsider.

There are similar allegiance struggles in his company, he said, where the Linux desktop is not yet universally used -- but he is laying the foundation for a wider Linux deployment at work.

BDNA uses the Google applications internally quite a bit. The company is migrating more and more things to cloud-based offerings. However, that will take more support from ongoing preparations.

"When I switch over to applications like [OpenOffice][6], that operation has to be really seamless for it to start getting better adoption. From a pure marketing perspective, developers need to change the game a little bit. Apple is winning the hearts and minds of the young kids and the younger generations through their 30s. I see that attitude often at my company," he said.

### Tux Takes On Apple ###

Requests for new equipment are very specific to the high-end MacBook Pro, explained White. Even though the tools they mostly are using are based online, workers BDNA want the flashy, highly advertised hardware names.

To break that view, he has to separate function from OS and hardware. Part of that battle is to insulate the user from the operating system itself. That can happen only when the industry has productivity applications both online and offline, according to While.

"Even simple things like using file managers need to focus on not the OS but what that OS allows us to do within the apps that we use," he said.

### Making Comfy Complete ###

How much should an operating system control the computer user? That question is critical in migrating to Linux, said Whites.

Consider the growing success of the Chromebook and Android phones and tablets. Do consumers really need to know they are running Linux?

"I think the key to Linux migration and success of the Linux desktop in the home is tied to how much can we actually do online," White said. "Since I use Linux at home, I see the advantages."

Whether you start at the consumer level at home or move up to the business user in the home or in a small business setting, it's important that users be comfortable with all of the tools and features they use. That includes things like sharing and creating documents, and everything that goes along with that, he explained.

### Migrating Measures ###

As for marketing, software and hardware makers need to put less emphasis on the operating system. For example, Chromebook is gaining acceptance in much the same way as Apple sells the MacBook. Google is not so much hawking a Linux OS as it is selling an appliance, White reasoned.

"What developers really need to do is change the focus, so users get comfortable with Linux in their homes without dwelling on using a non-Windows or non-Mac operating system. Whatever you use has to be able to do the things you want it to do. Something like Chromebook does that with Linux under the covers," he pointed out.

Computer makers must first start to break that mold of "it is Windows" or "it is a Mac." Until that happens, migrating to Linux will be a steep climb, White concluded.

"It is not about branding the OS," he said. "It is about the capabilities of the devices the OS runs."

--------------------------------------------------------------------------------

via: http://www.linuxinsider.com/story/80415.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.talkpointcommunications.com/
[2]:http://www.splashtop.com/
[3]:http://www.visionsolutions.com/
[4]:http://www.redhat.com/
[5]:http://www.bdna.com/
[6]:http://www.openoffice.org/
[7]:
[8]:
[9]:
[10]:
[11]:
[12]:
[13]:
[14]:
[15]:
[16]:
[17]:
[18]:
[19]:
[20]:
